<mamecheat version="1">

  <cheat desc="Infinite Time">
    <script state="run">
      <action>maincpu.pb@4103=60</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL1">
    <script state="run">
      <action>maincpu.pb@410C=09</action>
    </script>
  </cheat>

  <cheat desc="Infinite Rockets PL1">
    <script state="run">
      <action>maincpu.pb@410E=09</action>
    </script>
  </cheat>

  <cheat desc="Infinite Flame thrower PL1"> <comment>Used instead of rifle</comment>
    <script state="run">
      <action>maincpu.pb@416B=09</action>
    </script>
  </cheat>

  <cheat desc="Infinite Normal Grenades PL1">
    <script state="run">
      <action>maincpu.pb@410D=09</action>
    </script>
  </cheat>

  <cheat desc="Infinite Fast Grenades PL1">
    <script state="run">
      <action>maincpu.pb@417C=09</action>
    </script>
  </cheat>

  <cheat desc="Infinite Napalm Grenades PL1">
    <script state="run">
      <action>maincpu.pb@417B=09</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL1">
    <script state="run">
      <action>maincpu.pb@4480=82</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL2">
    <script state="run">
      <action>maincpu.pb@4116=09</action>
    </script>
  </cheat>

  <cheat desc="Infinite Rockets PL2">
    <script state="run">
      <action>maincpu.pb@4118=09</action>
    </script>
  </cheat>

  <cheat desc="Infinite Flame Thrower PL2"> <comment>Used instead of rifle</comment>
    <script state="run">
      <action>maincpu.pb@416C=09</action>
    </script>
  </cheat>

  <cheat desc="Infinite Normal Grenades PL2">
    <script state="run">
      <action>maincpu.pb@4117=09</action>
    </script>
  </cheat>

  <cheat desc="Infinite Fast Grenades  PL2">
    <script state="run">
      <action>maincpu.pb@417E=09</action>
    </script>
  </cheat>

  <cheat desc="Infinite Napalm Grenades PL2">
    <script state="run">
      <action>maincpu.pb@417D=09</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL2">
    <script state="run">
      <action>maincpu.pb@45C0=82</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Sound Test Timer Stop"> <comment>[PL2 Start]Next Code</comment>
    <script state="run">
      <action>maincpu.pb@4011=00</action>
    </script>
  </cheat>

  <cheat desc="Sound Test">
    <parameter min="1" max="144" step="1"/>
    <script state="change">
      <action>maincpu.pb@57A0=param</action>
      <action>maincpu.pw@583C=57A1</action>
      <action>maincpu.pw@583E=57A0</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
